Bug 199764 - i810 modesetting regression (<= i865)
Summary: i810 modesetting regression (<= i865)
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-21 20:03 UTC by Matthew Galgoci
Modified: 2018-04-11 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 13:09:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.67 KB, text/plain)
2006-07-21 20:03 UTC, Matthew Galgoci
no flags Details
Xorg.0.log (21.88 KB, text/plain)
2006-07-21 20:04 UTC, Matthew Galgoci
no flags Details

Description Matthew Galgoci 2006-07-21 20:03:07 UTC
Description of problem:

I've been tracking rawhide for a while, and I recently upgraded to the new 
intel i810 driver. X stopped working with the new i810 driver unfortunately.

if I do xinit I get the following error after X doesn't start:
Build Date: 13 July 2006
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Jul 21 16:00:08 2006
(==) Using config file: "/etc/X11/xorg.conf"
(EE) I810(0): detecting sil164
(EE) I810(0): Unable to read from DVOI2C_E Slave 112.
(EE) I810(0): detecting ch7xxx
(EE) I810(0): Unable to read from DVOI2C_E Slave 236.
(EE) I810(0): DDC Analog 0, 00005010
(EE) I810(0): DDC DVO 1, 0000501C
Executing (ax == 0x5f01) BIOS call at i830_driver.c:617

Fatal server error:
No modes found on either pipe

XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 0 requests (0 known processed) with 0 events remaining.

This is on an intel ICH3 chipset in an IBM thinkpad x30.

Normally I'd expect X to just sort of work :)

The exact rev of the intel driver is 1.6.0-11.20060713modset.fc6

Attached is my xorg.conf and the Xorg.0.log

Comment 1 Matthew Galgoci 2006-07-21 20:03:07 UTC
Created attachment 132844 [details]
xorg.conf

Comment 2 Matthew Galgoci 2006-07-21 20:04:51 UTC
Created attachment 132845 [details]
Xorg.0.log

Comment 3 Adam Jackson 2006-07-21 20:11:30 UTC
What happens when you turn DDC back on?  (comment out Option "NoDDC")

Comment 4 Matthew Galgoci 2006-07-21 20:17:32 UTC
No change. I added Option NoDCC "true" in an attempt to work around the current
problem. I can set it to false or comment it out with no effect.

Comment 5 Adam Jackson 2007-05-11 20:43:51 UTC
Any better with recent intel driver snapshots?  The version in F7 now should
have this sorted.

Comment 6 Matěj Cepl 2007-07-02 12:37:15 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.


Comment 7 Matěj Cepl 2007-08-03 13:09:30 UTC
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.



Note You need to log in before you can comment on or make changes to this bug.